Subject: Re: [Bugme-new] [Bug 41312] New: Regression: some web services (e.g. Dropbox, Amazon Cloud Reader) stops working in 3.1-rc2

From: Andrew Morton <[email-masked]>
Date: Wed, 17 Aug 2011 13:41:06 -0700

(switched to email.  Please respond via emailed reply-to-all, not via the
bugzilla web interface).

On Wed, 17 Aug 2011 20:17:05 GMT
[email-masked] wrote:

> https://bugzilla.kernel.org/show_bug.cgi?id=41312
> 
>            Summary: Regression: some web services (e.g. Dropbox, Amazon
>                     Cloud Reader) stops working in 3.1-rc2
>            Product: Networking
>            Version: 2.5
>     Kernel Version: 3.1-rc2
>           Platform: All
>         OS/Version: Linux
>               Tree: Mainline
>             Status: NEW
>           Severity: normal
>           Priority: P1
>          Component: IPV4
>         AssignedTo: [email-masked]
>         ReportedBy: [email-masked]
>         Regression: Yes
> 
> 
> Created an attachment (id=69102)
>  --> (https://bugzilla.kernel.org/attachment.cgi?id=69102)
> (working) config for kernel 3.0
> 
> Dropbox and Amazon Cloud Reader works just fine on kernel 3.0, but the former
> does not work on 3.1-rc1 and 3.1-rc2, and the latter does not work on 3.1-rc2
> (I no longer have a copy of the 3.1-rc1 build I did).
> 
> With Dropbox, ps reports that the daemon process is in an uninterruptible
> state, and it cannot be killed (even with kill -9). Setting SELinux to
> permissive does not affect things (and Dropbox works with SELinux set to
> enforcing with kernel 3.0).
> 
> With Cloud Reader, on Chrome, it does not display any book -- I perpetually get
> the "refreshing" icon.
> 
> Will attach kernel configurations (I keep the 3.0 and 3.1-rc2 configs as
> similar as possible, by using 'make oldconfig' on 3.0 with 3.1-rc2's .config.
> 
> Reported on Dropbox's forum: http://forums.dropbox.com/topic.php?id=43140
>